Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 245078 - Add "Sync with tracked branch" to popup in the repository browser
Add "Sync with tracked branch" to popup in the repository browser
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
8.0
PC Linux
: P3 (vote)
: 8.0.1
Assigned To: Ondrej Vrabec
issues@versioncontrol
: API, API_REVIEW_FAST
Depends on:
Blocks: 244707
  Show dependency treegraph
 
Reported: 2014-06-16 09:55 UTC by Ondrej Vrabec
Modified: 2014-06-24 02:41 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
API change (15.41 KB, patch)
2014-06-19 07:15 UTC, Ondrej Vrabec
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Vrabec 2014-06-16 09:55:38 UTC
A branch tracking a remote branch (e.g. master tracking origin/master etc.) should have an action "Sync with Tracked" that merges the tracked branch (origin/master) into the branch (master).
In other words if a fetch/pull brings changes from a remote repository the action would bring the changes also to the local branch without a need to make a checkout and merge. Of course this applies only if it ends with a FF merge (i.e. the local branch does not have any unpushed commits).
Comment 1 Ondrej Vrabec 2014-06-19 07:15:29 UTC
Created attachment 147722 [details]
API change
Comment 2 Ondrej Vrabec 2014-06-19 07:15:41 UTC
need an API upgrade..., please review.
Comment 3 Ondrej Vrabec 2014-06-23 10:03:05 UTC
fix: http://hg.netbeans.org/core-main/rev/37093c126e19
Comment 4 Quality Engineering 2014-06-24 02:41:29 UTC
Integrated into 'main-silver', will be available in build *201406240001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/37093c126e19
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #245078 - Add "Sync with tracked branch" to popup in the repository browser
the action moves the branch's head to the new commit if it is a ff merge.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo